
-- !!!!     ONLY RUN IN ACCEPTATIETESTOMGEVING HSLE: EEN EENMALIGE CORRECTIE   !!!

-- Script om de acceptatietestomgeving en productie in lijn te krijgen voor de evenement-melding key:
-- In test: key = 561
-- In productie: key = 581
 
-- Het wijzigen van de std_melding_key van evenement in de TESTOMGEVING van key 561 -> 581, zodat die gelijk is met productie

-- MAAR! : omdat 581 in TEST al bezet wordt door ICT change management melding, gaan we 581 eerst wijzigen in een nog niet gebruikt 582, dit zijn de stappen A1 t/m A3 


SET ECHO ON
SPOOL hsle04_accept.lst
SET DEFINE OFF

select mld_melding_key
from mld_melding
where  mld_stdmelding_key = 581;

-- A1. Eerst met een truukje de meldingen van ICT change managemenet (key 581) tijdelijk moven naar een  melding die nog nooit is gemaakt: stdmelding-key 39 (aanvragen plant onder de vakgroep Huisvesting):
update mld_melding
set mld_stdmelding_key = 39
where  mld_stdmelding_key = 581;

-- A2. Reden hiervan is dat we de primary stdmelding-key van 581 kunnen wijzigen in 582
update mld_stdmelding
set mld_stdmelding_key = 582 
where  mld_stdmelding_key = 581;
-- NB: De kenmerken van ICT change management zijn aan vakgroep gekoppeld, niet aan stdmelding, maw daar hebben we hier geen omkijken naar :-) 

-- A3. Vervolgens gaan we dan natuurlijk die meldingen van key 39 (aanvragen plant) wijzigen naar 582 (ICT change management)
update mld_melding
set mld_stdmelding_key = 582
where  mld_stdmelding_key = 39;

-- Nu herhalen we de stappen A1 t/m A3 maar dan voor Evenement-meldingen:


select mld_melding_key
from mld_melding
where  mld_stdmelding_key = 561;

-- B1. Eerst met een truukje de meldingen van ICT change managemenet (key 581) tijdelijk moven naar een  melding die nog nooit is gemaakt: stdmelding-key 39 (aanvragen plant onder de vakgroep Huisvesting):
update mld_melding
set mld_stdmelding_key = 39
where  mld_stdmelding_key = 561;

-- B2. Reden hiervan is dat we de primary stdmelding-key van 561 kunnen wijzigen in 581
update mld_stdmelding
set mld_stdmelding_key = 581
where  mld_stdmelding_key = 561;
 

-- B3. Vervolgens gaan we dan natuurlijk die meldingen van key 39 (aanvragen plant) wijzigen naar 581 (Evenement)
update mld_melding
set mld_stdmelding_key = 581
where  mld_stdmelding_key = 39;


select mld_kenmerk_key
from mld_kenmerk
where mld_stdmelding_key = 561
and mld_kenmerk_niveau = 'S';

-- Alle kenmerken die gekoppeld zijn aan evenement-melding worden verplaatst van 561 -> 581
update  mld_kenmerk
set mld_stdmelding_key = 581 
where mld_stdmelding_key = 561
and mld_kenmerk_niveau = 'S';

SPOOL OFF
